// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef MULT_SERVERCOMPDEF_MULT_SERVER_IMPL_H
#define MULT_SERVERCOMPDEF_MULT_SERVER_IMPL_H

/************************************************************
 Mult_server_impl class header
 ************************************************************/

#include "Mult_serverCompdef/Pkg_Mult_serverCompdef.h"

#include "Mult_serverCompdef/Mult_server.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"
#include "fromscratch_services/srv/query_mult_in_mult_out.hpp"

namespace ros2Library {
namespace rclcpp {
class NodeOptions;
}
}

namespace Mult_serverCompdef {

/************************************************************/
/**
 * This is a skeleton class generated for component Mult_server
 * Copy it into the source folder as an initial base (or copy parts
 * of it whenever you add modify the component).
 * 
 */
class Mult_server_impl: public Mult_server {
public:

	/**
	 * 
	 * @param options 
	 */
	Mult_server_impl(rclcpp::NodeOptions /*in*/options);

	/**
	 * 
	 * @param request 
	 * @param response 
	 * @return ret 
	 */
	bool multiply_handler(
			const fromscratch_services::srv::QueryMultInMultOut::Request::SharedPtr /*in*/request,
			const fromscratch_services::srv::QueryMultInMultOut::Response::SharedPtr /*in*/response);

	/**
	 * 
	 */
	void processed_requests_handler();

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Mult_serverCompdef

/************************************************************
 End of Mult_server_impl class header
 ************************************************************/

#endif
